/******************************************************************************

                            Online C# Compiler.
                Code, Compile, Run and Debug C# program online.
Write your code in this editor and press "Run" button to execute it.

*******************************************************************************/

using System;
class HelloWorld {
  static void Main() {
      string [] s= Console.ReadLine().Split();
      long D = long.Parse(s[0]); // broj dana kada tata kupuje plazmu
      long J = long.Parse(s[1]); // broj pitanja koliko je pojela plazmi
      long k = 0;
      long br =0;
       
       long [] niz = new long [10000];// niz gde stavljam dane kada kupuje plazmu
        long [] niz1 = new long [10000];// niz gde stavljam koliko je plazmi kupio
      for(int i = 0; i<D;i++)
      {
          string [] s1= Console.ReadLine().Split(" ");
          niz[i] = long.Parse(s1[i]);
          niz1[i] = long.Parse(s1[i]);
          if(J == 1)
 {
     for(int j = 0; j<D;j++)
     {
         br = br + niz1[j];
          
     }
 }
      
          
      }
     long P = long.Parse(Console.ReadLine());// sluucaj kada je  broj dana manji od prvog dana kupovine
 br = br -P;
 Console.WriteLine(br);
    
     
  }
}